use std::net::{IpAddr, SocketAddr};

use fleck::{fleck_core, prelude::*};

fn main() {
    pretty_env_logger::init_timed();

    let fleck = fleck::Fleck::new();

    fleck.with_service(|io: &fleck_core::io::IOService| {
        fleck_core::io::UdpSocketBuilder::default()
            .bind_to(SocketAddr::new(
                std::net::Ipv4Addr::UNSPECIFIED.into(),
                3535,
            ))
            .join_multicast("239.0.239.0".parse().unwrap(), "0.0.0.0".parse().unwrap())
            .build(io);
    });

    fleck.run();
}
